/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;

public class _branching_3 extends JMCADObject {
  private final Image img = new ImageIcon(this.getClass().getResource("_branching_3.gif")).getImage();

  public _branching_3() {
    ToolTipText = "OUT=IN";
    in = new double[1];
    in[0] = Double.NaN;
    in_text = new String[1];
    in_text[0] = "IN";
    out = new double[3];
    out[0] = Double.NaN; out[1] = Double.NaN; out[2] = Double.NaN;
    out_text = new String[3];
    out_text[0] = "OUT"; out_text[1] = "OUT"; out_text[2] = "OUT";
    out_obj = new Object[3];
    out_obj_index = new int[3];
    w = 72;
    h = 50;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  
  public void paint_info(Graphics g){
    g.setColor(Color.WHITE);
    g.fillRect(0, 0, w, h);
    g.drawImage(img,0,7,this);
  }

  public void calc(){
    out[0]=in[0];
    out[1]=in[0];
    out[2]=in[0];
    in[0]=Double.NaN;
  }


}
