/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;


public class _control_calc extends JMCADObject{
  public ImageIcon img_run = new ImageIcon(this.getClass().getResource("_on.gif"));
  public ImageIcon img_stop = new ImageIcon(this.getClass().getResource("_off.gif"));
  public JToggleButton bt = new JToggleButton();

  public void parse(String pst){
    super.parse(pst);
    this.removeAll();
    JPanel p1 = new JPanel(new FlowLayout());
    JPanel p2 = new JPanel(new VerticalFlowLayout());
    JPanel p3 = new JPanel(new VerticalFlowLayout());
    JPanel p4 = new JPanel(new VerticalFlowLayout());
    this.add(p1, BorderLayout.SOUTH);
    this.add(p2, BorderLayout.NORTH);
    this.add(p3, BorderLayout.WEST);
    this.add(p4, BorderLayout.EAST);
    this.add(bt,BorderLayout.CENTER);
  }

  public _control_calc() {
    this.isVisual = true;
    ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("Start_and_model_stop");
    in = new double[0];
    in_text = new String[0];
    out = new double[0];
    out_text = new String[0];
    out_obj = new Object[0];
    out_obj_index = new int[0];
    //w = 46;
    //h = 46;
    w = 56;
    h = 56;
    bt.setBorderPainted(false);
    bt.setContentAreaFilled(false);
    bt.setFocusPainted(false);
    bt.setIcon(img_run);
    bt.setSelectedIcon(img_stop);
    bt.setMargin(new Insets(0, 0, 0, 0));
    bt.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
            start_stop();
        }
    });
    bt.setToolTipText(ToolTipText);
    try { init(); }catch(Exception e) { e.printStackTrace(); }
    this.removeAll();
    JPanel p1 = new JPanel(new VerticalFlowLayout());
    JPanel p2 = new JPanel(new VerticalFlowLayout());
    JPanel p3 = new JPanel(new VerticalFlowLayout());
    JPanel p4 = new JPanel(new VerticalFlowLayout());
    this.add(p1, BorderLayout.SOUTH);
    this.add(p2, BorderLayout.NORTH);
    this.add(p3, BorderLayout.WEST);
    this.add(p4, BorderLayout.EAST);
    this.add(bt,BorderLayout.CENTER);
  }

   

  public void calc_pre(){
    bt.setSelected(true);
  }
  public void calc_post(){
    bt.setSelected(false);
  }
  private void start_stop(){
      if(bt.isSelected()){
          getDocument().Document_Calc();
      } else{
          getDocument().Document_Calc_Stop();
      }
  }

  public void paint_info(Graphics g){ }
  

}
