/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

public class _doc extends JMCADObject {
  private final Image img = new ImageIcon(this.getClass().getResource("_doc.gif")).getImage();
  private JTextField tf;
  private String file_name;

  private RandomAccessFile fin;

                                                                                                                             
  private void writeObject(ObjectOutputStream out)  throws IOException{
   out.writeObject(file_name);
  }
  private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException{
   file_name=(String)in.readObject();
  }
  public _doc() {
    ToolTipText = java.util.ResourceBundle.getBundle("JMCAD_Internationalize").getString("Does_not_work!")+"   ";
    w = 60;
    h = 36;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  public void paint_info(Graphics g){
    g.drawImage(img,panel_c.getWidth()/2-18,panel_c.getHeight()/2-18,this);
  }

  public void calc(){
    //out[0]=in[0];
    //in[0]=Double.NaN;
  }
  public void edit_pre(){
    edit_panel = new JPanel(new VerticalFlowLayout());
    tf = new JTextField();
    JPanel p0 = new JPanel(new BorderLayout());                                                                                
    tf.setText(file_name==null?"":file_name);
    //tf.setEditable(false);
 JButton b = new JButton("...");
    
  b.addActionListener(new ActionListener() {
  public void actionPerformed(ActionEvent e) {
  try {
  FileDialog fd = new FileDialog(getFrame(),"Open data file",FileDialog.LOAD);
   fd.setDirectory(".");
   fd.show();
   file_name=fd.getDirectory()+fd.getFile();
   if(fd.getFile()!=null){
   tf.setText(file_name);
    }
    } catch(Exception e1) {error(e1);}
    }
    });
p0.add(new JLabel("  "),BorderLayout.NORTH);
    p0.add(tf,BorderLayout.CENTER);
    p0.add(b,BorderLayout.EAST);
    edit_panel.add(p0);
  }
  public void edit_post(){
    try {
      
      fin = new RandomAccessFile(file_name,"r");
      String st;
      int countin = 0;
	  int countout = 0;
      while((st=fin.readLine())!=null){
        StringTokenizer stt = new StringTokenizer(st);
		if (st.indexOf("_docin")!=-1){	
              countin++;
              }
		if (st.indexOf("_docout")!=-1){
			countout++;
		}
}		
      fin.close();
      w = 76;
      h = 36;
      in = new double[countin];
      in_text = new String[countin];
      out = new double[countout];
      out_obj = new Object[countout];
      out_obj_index = new int[countout];
     
 for(int i=0; i<countout; i++) out[i] = Double.NaN;
      out_text = new String[countout];
      for(int i=0; i<countout; i++) out_text[i] = "OUT"+i;
for(int i=0; i<countin; i++) in[i] = Double.NaN;
      in_text = new String[countin];
      for(int i=0; i<countin; i++) in_text[i] = "IN"+i;

 try { init(); }catch(Exception e) { e.printStackTrace(); }
      this.getParent().validate();
      this.revalidate();

    }catch(Exception e) { error(e); }
  }
  
 
  }
  






