/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import java.awt.*;

public class _lamp_digital extends JMCADObject{
  
  public _lamp_digital() {
    this.isVisual = true;
    ToolTipText = java.util.ResourceBundle.getBundle("JMCAD_Internationalize").getString("Lamp_displays_the_status_of_the_digital_signal")+" ON - IN>=1 / OFF - IN<1";
    in = new double[1];
    in[0] = Double.NaN;
    in_text = new String[1];
    in_text[0] = "IN";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 78;
    h = 36;
    this.panel_c.setBackground(Color.GRAY);
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }

   public void calc_pre(){
       out[0] = Double.NaN;
       this.panel_c.setBackground(Color.GRAY);
   }

   public void calc_post(){
       out[0] = Double.NaN;
       this.panel_c.setBackground(Color.GRAY);
   }

  public void calc(){
    out[0] = in[0];
    if(Double.isInfinite(in[0]) || Double.isNaN(in[0]) || in[0]<1)this.panel_c.setBackground(Color.GRAY);
    else this.panel_c.setBackground(Color.RED);
    in[0] = Double.NaN;
    repaint();
  }

  public void paint_info(Graphics g){  }
  

}
