/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;

public class _minus extends JMCADObject {
  private final Image img = new ImageIcon(this.getClass().getResource("_minus.gif")).getImage();
  

  public _minus() {
    ToolTipText = "OUT=IN0-IN1";
    in = new double[2];
    in[0] = Double.NaN;
    in[1] = Double.NaN;
    in_text = new String[2];
    in_text[0] = "IN0";
    in_text[1] = "IN1";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 76;
    h = 36;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  public void paint_info(Graphics g){
    g.drawImage(img,0,0,this);
  }

  public void calc(){
    out[0]=in[0]-in[1];
    in[0]=Double.NaN;
    in[1]=Double.NaN;
  }

  
}
