/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;
import java.util.*;

public class _control_end extends JMCADObject {
  private final Image img = new ImageIcon(this.getClass().getResource("_control_end.gif")).getImage();

  public _control_end() {
    ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("The_modelling_stop_if_on_input_IN_moves_value");
    in = new double[1];
    in[0] = Double.NaN;
    in_text = new String[1];
    in_text[0] = "IN";
    w = 66;
    h = 36;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  
  
  public void paint_info(Graphics g){
    g.drawImage(img,0,0,this);
  }

  public void calc(){
    if(!Double.isInfinite(in[0]))getDocument().Document_Calc_Stop();
    in[0]=Double.NaN;
  }
  



}
