/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;
import java.util.*;

public class _docout extends JMCADObject {
  private final Image img = new ImageIcon(this.getClass().getResource("_docout.gif")).getImage();
  private JTextField tf;

  public _docout() {
    ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("Exit_from_the_document")+" OUT=IN";
    in = new double[1];
    in[0] = Double.NaN;
    in_text = new String[1];
    in_text[0] = "IN";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 76;
    h = 36;
    this.panel_c.setBackground(Color.YELLOW);
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  public void paint_info(Graphics g){
    g.drawImage(img,0,0,this);
  }

  public void calc(){
    out[0]=in[0];
    in[0]=Double.NaN;
  }
  public void edit_pre(){
    edit_panel = new JPanel(new VerticalFlowLayout());
    JPanel p0 = new JPanel(new BorderLayout());
    tf = new JTextField();
    tf.setText(out_text[0]);
    p0.add(new JLabel(ResourceBundle.getBundle("JMCAD_Internationalize").getString("Exit_name")),BorderLayout.WEST);
    p0.add(tf,BorderLayout.CENTER);
    edit_panel.add(p0);
  }
  public void edit_post(){
    try {
      if(tf.getText().trim().length()!=0){
        out_text[0]=tf.getText();
        ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("Exit_from_the_document")+" "+tf.getText()+"=IN";
        init();
        this.revalidate();
      }else error(ResourceBundle.getBundle("JMCAD_Internationalize").getString("The_exit_name_is_not_set!"));
    }catch(Exception e) { error(e); }
  }


}
