/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;

public class _if extends JMCADObject{
  private final Image img = new ImageIcon(this.getClass().getResource("_if.gif")).getImage();

  public _if() {
    ToolTipText = java.util.ResourceBundle.getBundle("JMCAD_Internationalize").getString("Checks_the_value_IN0_if_it_equals_INFINITY_that__OUT=IN1_else_OUT=IN2");
    in = new double[3];
    in[0] = Double.NaN; in[1] = Double.NaN; in[2] = Double.NaN;
    in_text = new String[3];
    in_text[0] = "IN0"; in_text[1] = "IN1"; in_text[2] = "IN2";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 76;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  public void paint_info(Graphics g){
    g.drawImage(img,panel_c.getWidth()/2-18,panel_c.getHeight()/2-18,this);
  }

  public void calc(){
    if(Double.isInfinite(in[0]))out[0]=in[1]; else out[0]=in[2];
    in[0]=Double.NaN;
    in[1]=Double.NaN;
    in[2]=Double.NaN;
  }

}
