/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import java.awt.*;

public class _random extends JMCADObject {


  public _random() {
    ToolTipText = java.util.ResourceBundle.getBundle("JMCAD_Internationalize").getString("The_generator_of_random_numbers_in_a_range_from_0.0_to_1.0")+" OUT=(0.0 ... 1.0)*IN";
    in = new double[1];
    in[0] = Double.NaN;
    in_text = new String[1];
    in_text[0] = "IN";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 90;
    h = 10;
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  
  public void paint_info(Graphics g){
    g.setColor(Color.black);
    g.drawString("random",3,16);
  }
  public void calc(){
    out[0]=Math.random()*in[0];
    in[0]=Double.NaN;
  }

}
