/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */


/**
 *
 * @author Yuriy Mikhaylovskiy
 * @email YuriyMikhaylovskiy@yahoo.com
 * 
 */


import javax.swing.*;
import java.awt.*;

public class _unequal extends _less{
  private final Image img = new ImageIcon(this.getClass().getResource("_unequal.gif")).getImage();

  public _unequal() {
    super();
    ToolTipText = java.util.ResourceBundle.getBundle("JMCAD_Internationalize").getString("Compares_values_IN0<>IN1_if_the_condition_is_met_OUT=IN0_else_OUT=INFINITY");
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }
  public void paint_info(Graphics g){
    g.drawImage(img,0,0,this);
  }

  public void calc(){
    if(in[0]!=in[1])out[0]=in[0]; else out[0]=Double.POSITIVE_INFINITY;
    in[0]=Double.NaN;
    in[1]=Double.NaN;
  }

}
